<?xml version="1.0" encoding="UTF-8"?>
<schema queryBinding="xslt2"
        schemaVersion="1.0"
        xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
        xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:fnx="http://www.example.com/fnx"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<title>ST.96 Conformance Checker - Test Suite Results</title>
	<ns prefix="svrl" uri="http://purl.oclc.org/dsdl/svrl"/>
  <ns prefix="fnx" uri="http://www.example.com/fnx"/>

  <xsl:include href="test_common.xsl"/>
  <!-- 
    Instructions:
    - create variables with expected failmsg for *.svrl file which is expected to fail assertion
    - - create assertion to check for this failmsg
    >  <assert test="fnx:no-fail-infile($failmsg2, '2.svrl', $inFileName)" flag="AUTO">
        <value-of select="$failmsg2"/>
      </assert>
    - create assertion for pass tests: 
      <assert test="fnx:failed-assert-count-is-infile(0, '1.svrl', $inFileName, .)" flag="AUTO">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
    - create assertion for fail tests:
      <assert test="fnx:failed-assert-count-is-infile(1, '2.svrl', $inFileName, .)" flag="AUTO">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>
  -->
  <!-- "the term component refers to type, element or attribute" -->

	<pattern>
		<title>GD-29</title>

    <rule context="svrl:schematron-output" role="ERROR">
      <let name="failmsg1" value='fnx:expect("The name Article12 contains an article or rule number (Article followed by a digit).", /)'/>
      <let name="failmsg2" value='fnx:expect("The name BeginningArticle12 contains an article or rule number (Article followed by a digit).", /)'/>
      <let name="failmsg3" value='fnx:expect("The name Rule12 contains an article or rule number (Rule followed by a digit).", /)'/>
      <let name="failmsg4" value='fnx:expect("The name ItsRule12WithSomethingAfter contains an article or rule number (Rule followed by a digit).", /)'/>


      <!-- Assertions -->
      <assert test="fnx:failed-assert-count-is(4, .)" flag="AUTO" diagnostics="uri GD-29" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(4, .)"/>
      </assert>

      <assert test="$failmsg1 = ''" flag="AUTO" diagnostics="uri GD-29" role="ERROR"><value-of select="$failmsg1"/></assert>
      <assert test="$failmsg2 = ''" flag="AUTO" diagnostics="uri GD-29" role="ERROR"><value-of select="$failmsg2"/></assert>
      <assert test="$failmsg3 = ''" flag="AUTO" diagnostics="uri GD-29" role="ERROR"><value-of select="$failmsg3"/></assert>
      <assert test="$failmsg4 = ''" flag="AUTO" diagnostics="uri GD-29" role="ERROR"><value-of select="$failmsg4"/></assert>
     </rule>
	</pattern>
<diagnostics><diagnostic id="GD-29"/><diagnostic id="uri"> <value-of select="document-uri(/)"/> </diagnostic></diagnostics></schema>
